'reinit'
'open data/sst.14mon.mean.ctl'
'open data/aoi.71.00.clim.ctl'
'open data/mask.ctl'
'set vpage 0 8.5 0 11'
'set grads off'
'set mpdset lowres'
'set looping off' 
'set cterp off'
'set csmooth on'
'set string 1 tc 7'
'set strsiz 0.16 0.16'
'draw string 4.2 10.8 Sea Surface Temperatures (deg C)'
'set t last'
XMONX=8
cdate = mydate()
cdy = subwrd(cdate,1)
cmo = subwrd(cdate,2)
cyr = subwrd(cdate,3)
'draw string 4.2 10.6 for 'cmo' 'cyr
'set string 1 tc 1'
'set strsiz 0.1 0.1'
'draw string 1.35 10.3 Mean'
'set lat -60 60'
'set lon -20 380'
'run rgbset.gs'
'set gxout shaded'
'set mpdset lowres'
'define sst1=maskout(sst,mask.3(t=1)-1)'
'define sst2=maskout(sst(t-1),mask.3(t=1)-1)'
**
xm=XMONX-1
if(xm=0) ; xm=12 ; endif
'define sstan1=sst - sst.2(t=8)'
'define sstan2=sst(t-1) - sst.2(t='xm')'
**
'define sstadif=sstan1-sstan2'
'define sstend=maskout(sst-sst(t-1),mask.3(t=1)-1)'
'set vpage 0 8.5 0 11'
'set parea  0.2 8.3 7.5 10.1'
'set grads off'
'set ylint 15'
'set clevs 18 19 20 21 22 23 24 25 26 27 28 29 30'
'set ccols 49 48 47 46 45 44 43 42 41 21 23 25 27 29'
'd sst1'
'set gxout contour'
'set ccolor 1'
'set cthick 3'
'set cstyle 1'
'set cint 1'
*'d sst1'
'run glbar1.gs'
*
'set parea 0.2 8.3 4 6.6'
'set grads off'
'set string 1 tc 1'
'set strsiz 0.1 0.1'
'draw string 1.5 6.8 Anomalies'
'set clevs -3 -2 -1 -0.5 -0.25 0.25 0.5 1 2 3'
'set ccols 48 46 45 44 42 0 22 24 26 27 29'
'set ylint 15'
'set gxout shaded'
'd sstan1'
'set gxout contour'
'set ccolor 1'
'set cthick 3'
'set cint 0.5'
*'d sst.1 - sst.2(t=XMONX)'
'run glbar2.gs'
*
'set parea 0.2 8.3 0.6 3.2'
'set grads off'
'set string 1 tc 1'
'set strsiz 0.1 0.1'
'draw string 1.8 3.36 (Current-PrevMonth) Anomaly'
'set clevs -1.5 -1.2 -0.9 -0.6 -0.3 0.3 0.6 0.9 1.2 1.5'
'set ccols 47 46 44 43 42 0 22 23 24 27 28'
'set ylint 15'
'set gxout shaded'
'd sstadif'
'set gxout contour'
'set ccolor 1'
'set cthick 3'
'set cint 0.5'
*'d sstadif'
'run glbar3.gs'
*
'printim mnglobal.png x860 y1200 white'
'quit'
*
*
*
function mydate
'query time'
sres = subwrd(result,3)
i=1
while (substr(sres,i,1)!='Z')
i=i+1
endwhile
hour = substr(sres,1,i)
isav = i
i = i + 1
while (substr(sres,i,1)>='0' & substr(sres,i,1)<='9')
i = i + 1
endwhile
day = substr(sres,isav+1,i-isav-1)
month = substr(sres,i,3)
year = substr(sres,i+3,4)
return (day' 'month' 'year)
